from pylab import *
import os

figure(figsize=(7,6))

subplot(211)

os.chdir('scattering/')
folders=os.listdir('./')
for fi in folders:
    da=loadtxt(fi+"/relcom_gds.dat")
    plot(da[:,0],da[:,1]/10.,'-',color='C0',lw=1,alpha=0.2)

xlabel(r'$t/\mathrm{ps}$',size=20)
ylabel(r'$z/\mathrm{nm}$',size=20)
xticks(size=18)
yticks(size=18)
axis([0,100,-1,1.5])
os.chdir('../')

subplot(212)
da=loadtxt('classify_orig_new.dat')
plot(da[:,0],da[:,1],'-',lw=4.)
fill_between(da[:,0],da[:,1]+da[:,2]*2.,da[:,1]-da[:,2]*2.,color='C0',alpha=0.3)
plot(da[:,0],0.839471*exp(-da[:,0]/0.311244)+0.0812961,'--r')
xlabel(r'$t/\mathrm{ps}$',size=20)
ylabel(r'$\kappa(t)$',size=20)
xticks(size=18)
yticks(size=18)
axis([0,10,-0.05,1.])
tight_layout()

savefig('Fig2.pdf')

show()
