from pylab import *
from cycler import cycler
from matplotlib import rc
rcParams['mathtext.fontset'] = 'cm'
rcParams['mathtext.rm'] = 'serif'

dx=0.2
xmin=-200.
xmax=30.
x=arange(xmin,xmax,dx)

# Parameterization of free energy function in kbT
c1= 1.28267/.5922
c2= 18.115
c3= 2.01285
c4= 2.41484
c5= 9.73522
c6= 13.9676
c7= 1.18626/.5922
c8= 0.607262/.5922
c9=2.30687
c10= 5.30734

# Free energy
U=c1*tanh((x-c2)/c3)+c4-c7*exp(-(x-c6)**2./2./c10)+exp(-(x-c5)**2./2./c9)*c8

figure(figsize=(8,8))
subplot(211)
t=arange(5000,100000,15000)
n=0
for i in t:
  da=loadtxt('Relax/%d-pdf.txt' %i)
  plot(da[:,0]/10-1.4,da[:,1],'-',color='C0',alpha=1-1.*n/6.,lw=1.5)
  n=n+1
  
plot(x/10.-1.4,exp(-U)*0.005,'--k',lw=2.)
axis([-3,1.,0,0.055])
xticks(size=20)
yticks(size=20)
xlabel(r'$z/\mathrm{nm}$',size=22)
ylabel(r'$c(z,t)/ \mathrm{nm}^{-3}$',size=22)

subplot(223)

i=0.00001
delt=5.

da=loadtxt('FP/New-uptake_100k%f_100ks%f_del_%f.txt' %(i*100,i*100./delt,delt))
plot(da[1:,0]*0.018/1000.,da[1:,1],lw=3)

axis([0,200,0,0.05])
xticks([0,100,200],size=20)
yticks([0,0.02,0.04],size=20)

xlabel(r'$t /\mathrm{ns}$',size=22)
ylabel(r'$\gamma(t)$',size=22)

subplot(224)

k=array([0.000003,0.000005,0.00001,0.00002,0.00003,0.00004,0.00005,0.00006,0.00007,0.00008,0.00009])

delt=1.

for i in k:
    try:
        da=loadtxt('FP/New-uptake_100k%f_100ks%f_del_%f.txt' %(i*100,i*100./delt,delt),usecols=[1])
        plot(i*1000,da[-1],'oC0',ms=10)
    except: continue


delt=100.

for i in k:
    try:
        da=loadtxt('FP/New-uptake_100k%f_100ks%f_del_%f.txt' %(i*100,i*100./delt,delt),usecols=[3])
        plot(i*1000,da[-1],'sC1',ms=10)
    except: continue




xticks([0,0.04,0.08],size=20)
yticks([0,0.02,0.04,0.06,0.08,0.1],size=20)
axis([0,.08,0,.11])
xlabel(r'$k_\mathrm{h}  /\mathrm{ns}^{-1}$',size=22)
ylabel(r'$\gamma$',size=22)
tight_layout()
savefig('Fig3.pdf')
show()
